\name{ep}
\alias{ep}

\title{Edit rNMR preferences}
\description{
  Change the default settings for \pkg{rNMR}.
}
\usage{
ep(dispPane=0)
}

\arguments{
  \item{dispPane}{numeric (optional); indicates which notebook pane in the GUI 
  should be displayed.} 
}

\details{
  \code{ep} displays a GUI for changing \pkg{rNMR}'s default settings (see
  \code{\link{defaultSettings}}).  See the \pkg{rNMR} manual, or press the "?" 
  button, for more information on the specific options provided in the GUI.  To 
  apply any changes made to default settings, press the "Apply All" button.  
  This will apply the settings for each tab in the GUI to all open spectra.  
  Pressing the "OK" button will not apply  any changes until the next time rNMR 
  loads or a new spectrum is opened. The exception to this rule are global 
  settings (see \code{\link{globalSettings}}).  These are settings that are 
  applied to all spectra and plot windows, such as ROI colors and auto 
  generation settings. Modifications to these settings will be visible on the 
  next plot refresh (or the next time the plot window is closed and reopened).
  The "Defaults" button restores the default settings for the currently 
  displayed tab (settings will not be saved until the "OK" or "Apply All" button 
  is pressed).
}

\author{Ian A. Lewis \email{ialewis@nmrfam.wisc.edu}, 
Seth C. Schommer \email{schommer@nmrfam.wisc.edu}}

\seealso{\code{\link{rNMR}} for other rNMR help topics.}

\keyword{iplot}
\keyword{color}