\name{more}
\alias{more}

\title{rNMR functions}

\description{
  A list of \pkg{rNMR} functions with brief descriptions is displayed below.
}

\section{File}{
 \describe{
  \item{\code{\link{cf}}}{convert spectra to rNMR's default format}
  \item{\code{\link{ca}}}{convert ASCII spectra to rNMR's default format}
  \item{\code{\link{export}}}{export \pkg{rNMR} data tables}
  \item{\code{\link{fc}}}{close an open spectrum}
  \item{\code{\link{fo}}}{open a spectrum}
  \item{\code{\link{fs}}}{sort files}
  \item{\code{\link{gui}}}{display \pkg{rNMR} menus}
  \item{\code{\link{import}}}{import \pkg{rNMR} data tables}
  \item{\code{\link{rb}}}{restore backup workspace}
  \item{\code{\link{ss}}}{switch to another open spectrum}
  \item{\code{\link{wl}}}{load an R workspace}
  \item{\code{\link{ws}}}{save an R workspace}      
 }
}

\section{Edit}{
 \describe{
  \item{\code{\link{ep}}}{modify \pkg{rNMR}'s default settings} 
  \item{\code{\link{pe}}}{edit peak list}
  \item{\code{\link{rd}}}{redo last undo}
  \item{\code{\link{re}}}{edit the ROI table}
  \item{\code{\link{se}}}{edit ROI summary}  
  \item{\code{\link{ud}}}{undo last action} 
 }
}

\section{Plotting}{
 \describe{
	\item{\code{\link{co}}}{display the color manipulation GUI}
  \item{\code{\link{ct}}}{display the plot options GUI}
  \item{\code{\link{ctd}}}{lower contours}
  \item{\code{\link{ctu}}}{raise contours}
  \item{\code{\link{da}}}{automatically choose plot type}   
  \item{\code{\link{dd}}}{refresh main spectrum}
  \item{\code{\link{di}}}{draw image plot}
  \item{\code{\link{dp}}}{draw 3D perspective plot}
  \item{\code{\link{dr}}}{draw contour plot}  
  \item{\code{\link{drf}}}{draw filled contour plot}
 }
}
  
\section{Perspective plots}{
 \describe{
  \item{\code{\link{per}}}{display the perspective plot GUI}
  \item{\code{\link{rotc}}}{rotate perspective plot clockwise}
  \item{\code{\link{rotcc}}}{rotate perspective plot counter clockwise}   
  \item{\code{\link{rotd}}}{rotate perspective plot down}
  \item{\code{\link{rotu}}}{rotate perspective plot up}
  \item{\code{\link{spin}}}{spin perspective plot}  
 }
}

\section{View}{
 \describe{
  \item{\code{\link{ol}}}{display the overlay GUI}
  \item{\code{\link{pj}}}{1D projection/slice GUI}
  \item{\code{\link{pjv}}}{toggle 1D projection display}
  \item{\code{\link{vp}}}{vertical position for 1D spectra, slices/projections}
  \item{\code{\link{vpd}}}{decrease vertical position for 1D spectra, 
  slices/projections}
  \item{\code{\link{vpu}}}{increase vertical position for 1D spectra, 
  slices/projections}
  \item{\code{\link{vs}}}{view slice}    
 }
}

\section{Zoom}{
 \describe{
  \item{\code{\link{delta}}}{get chemical shift ranges}
  \item{\code{\link{loc}}}{get chemical shifts}
  \item{\code{\link{pd}}}{pan down}
  \item{\code{\link{pl}}}{pan left}
  \item{\code{\link{pr}}}{pan right}
  \item{\code{\link{pu}}}{pan up}
  \item{\code{\link{pz}}}{zoom to a point}    
  \item{\code{\link{zc}}}{center window on a peak}
  \item{\code{\link{zf}}}{zoom full}
  \item{\code{\link{zi}}}{zoom in}
  \item{\code{\link{zm}}}{display the zoom GUI}
  \item{\code{\link{zo}}}{zoom out}   
  \item{\code{\link{zp}}}{zoom previous}
  \item{\code{\link{zz}}}{zoom in on a manually selected region} 
 }
}

\section{Tools}{
 \describe{
  \item{\code{\link{sr}}}{display custom library GUI}
  \item{\code{\link{ed}}}{extract data}
  \item{\code{\link{mmcd}}}{open MMCD homepage}
  \item{\code{\link{sr}}}{display chemical shift referencing GUI}
 }
}
  
\section{Peak picking}{  
 \describe{
  \item{\code{\link{nf}}}{set peak picking noise filter}
  \item{\code{\link{pa}}}{pick full spectrum}
  \item{\code{\link{pDel}}}{clear peak list}   
  \item{\code{\link{ph}}}{manually pick spectrum}
  \item{\code{\link{pm}}}{peak pick the maximum intensity within a region}
  \item{\code{\link{pp}}}{display peak picking GUI}
  \item{\code{\link{pReg}}}{peak pick a region}
  \item{\code{\link{pv}}}{toggle peak display}
  \item{\code{\link{pw}}}{pick current window}  
  \item{\code{\link{rp}}}{pick inside/outside ROIs}
 }
}
  
\section{Batch peak picking}{
 \describe{
  \item{\code{\link{paAll}}}{pick full spectrum in all files}
  \item{\code{\link{pDelAll}}}{clear all peak lists}
  \item{\code{\link{pwAll}}}{pick current window in all files}  
  \item{\code{\link{rpAll}}}{pick inside/outside ROIs in all files}
 }
}
  
\section{ROIs}{
 \describe{
  \item{\code{\link{ra}}}{automatically draw ROIs for window}
  \item{\code{\link{rc}}}{center active ROIs}  
  \item{\code{\link{rcd}}}{contract active ROIs in the direct dimension}
  \item{\code{\link{rci}}}{contract active ROIs in the indirect dimension}
  \item{\code{\link{rDel}}}{delete ROIs}   
  \item{\code{\link{red}}}{expand active ROIs in the direct dimension}
  \item{\code{\link{rei}}}{expand active ROIs in the indirect dimension}
  \item{\code{\link{rmd}}}{move active ROIs down (downfield indirect dimension)}
  \item{\code{\link{rml}}}{move active ROIs left (downfield direct dimension)}  
  \item{\code{\link{rmr}}}{move active ROIs right (upfield direct dimension)}
  \item{\code{\link{rmu}}}{move active ROIs up (upfield indirect dimension)}
  \item{\code{\link{rn}}}{create new ROIs by hand}
  \item{\code{\link{roi}}}{display the ROI GUI}
  \item{\code{\link{rr}}}{rename active ROIs}
  \item{\code{\link{rs}}}{activate/deactivate ROIs from a list or plot window}
  \item{\code{\link{rsf}}}{select files to display in the multiple file window}
  \item{\code{\link{rsAll}}}{activate all ROIs}
  \item{\code{\link{rdAll}}}{deactivate all ROIs}  
  \item{\code{\link{rSum}}}{generate ROI summary}
  \item{\code{\link{rv}}}{toggle ROI display in the main plot window}
  \item{\code{\link{rvm}}}{open ROI multiple file window}
  \item{\code{\link{rvs}}}{open ROI subplot window}
 }
}

\author{Ian A. Lewis \email{ialewis@nmrfam.wisc.edu}, 
Seth C. Schommer \email{schommer@nmrfam.wisc.edu}}

\seealso{\code{\link{gui}} for displaying \pkg{rNMR} menus; \code{\link{rNMR}}
for other rNMR help topics.} 

\keyword{documentation}