\name{rNMR-package}
\alias{rNMR-package}
\alias{rNMR}
\docType{package}
\title{Utilities for viewing and analyzing NMR spectra}
\description{
  The \pkg{rNMR} package provides a broad range of tools for viewing and 
  analyzing one and two-dimensional NMR spectra.
}
\details{
\tabular{ll}{
	Package: \tab rNMR\cr
	Type: \tab Package\cr
	Version: \tab 1.1.7\cr
	Date: \tab 2011-08-03\cr
	License: \tab GPL\cr
	LazyLoad: \tab yes\cr
	}
}

\section{Help topics}{
\describe{
	\item{\code{\link{fs}}}{Open, close, and switch between NMR spectra}
	\item{\code{\link{cf}}}{Convert Bruker, NMRPipe, Varian, and ASCII files to 
	UCSF (Sparky and rNMR) format}
	\item{\code{\link{import}}}{Import or export peak lists, ROI tables, and 
	ROI summaries}
	\item{\code{\link{co}}}{Change plot colors}
	\item{\code{\link{ct}}}{Change plot settings}
	\item{\code{\link{per}}}{Perspective plot settings}
	\item{\code{\link{pp}}}{Peak picking}
	\item{\code{\link{roi}}}{Regions of Interest (ROIs)}
	\item{\code{\link{ed}}}{Extract data from the main plot window, an ROI 
	table, an ROI summary, or peak lists}
	\item{\code{\link{ol}}}{Overlay spectra}
	\item{\code{\link{pj}}}{1D slices and projections}
	\item{\code{\link{sr}}}{Chemical shift referencing}
	\item{\code{\link{zm}}}{Zoom and pan}
	\item{\code{\link{ep}}}{Edit rNMR default settings and preferences}
	\item{\code{\link{more}}}{List additional \pkg{rNMR} functions}
	\item{\code{\link{toolkit}}}{\pkg{rNMR} utility functions for developers}
	}
}

\author{
Ian A. Lewis, Seth C. Schommer

Maintainer: Ian A. Lewis \email{ialewis@nmrfam.wisc.edu}, 
Seth C. Schommer \email{schommer@nmrfam.wisc.edu}
}

\keyword{package}