\name{roiSummary}
\alias{roiSummary}

\title{
rNMR object roiSummary
}

\description{
The \code{roiSummary} object stores the most recently calculated ROI summary
(see \code{\link{rSum}}).
}

\details{
\code{roiSummary} is a nested list with three sections:

The \code{data} section contains the data collected by \code{\link{rSum}}.  See 
\code{\link{import}} for information on the structure for this section. 

The \code{summary.par} section contains information pertaining to how the 
summary was generated, stored as a named list.  \code{summary.type} describes
how the data for the data was collected.  \code{normalization} describes the 
type of normalization used when the summary was collected, if any.  
\code{norm.data.source} lists the names of the ROIs or files used for 
normalization if the data was normalized using data from one or more ROIs or ROI 
data from one or more files.  See \code{\link{rSum}} for more info on generating
ROI summaries.)
}

\author{Ian A. Lewis \email{ialewis@nmrfam.wisc.edu}, 
Seth C. Schommer \email{schommer@nmrfam.wisc.edu}}

\seealso{\code{\link{se}} for editing ROI summaries; \code{\link{rNMRobjects}} 
for other other objects used by the \pkg{rNMR} package; \code{\link{rNMRutils}} 
for functions used for interacting with \pkg{rNMR} objects.}

\keyword{internal}
